function image_color_with_boundary = plot_contour_on_color_image(Phi, L,...
    image_color, boundary_color)

interior_vertices = find(Phi > 0);
interior = ismember(L, interior_vertices);
se = strel('square', 3);
interior = imdilate(interior, se);
interior_eroded = imerode(interior, se);
interior_boundary = interior & ~interior_eroded;

% Plot boundary on RGB version of image.
image_color_1 = image_color(:, :, 1);
image_color_2 = image_color(:, :, 2);
image_color_3 = image_color(:, :, 3);
image_color_1(interior_boundary) = boundary_color(1);
image_color_2(interior_boundary) = boundary_color(2);
image_color_3(interior_boundary) = boundary_color(3);
image_color_with_boundary = cat(3, image_color_1, image_color_2, image_color_3);

end

